#
# spec file for package gnome-vfs (Version 1.0.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile bzip2 cdparanoia esound esound-devel gconf gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-common gnome-libs gnome-libs-devel gnome-mime-data gtk gtk-devel imlib imlib-devel intltool libjpeg libpng-devel-packages libtiff libxml libxml-devel oaf oaf-devel openssl openssl-devel orbit orbit-devel pkgconfig popt x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils cdparanoia cracklib esound esound-devel fontconfig fontconfig-devel gcc gconf gdbm gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-common gnome-filesystem gnome-libs gnome-libs-devel gnome-mime-data gtk gtk-devel imlib imlib-devel intltool libjpeg libpng libpng-devel libtiff libtool libxml libxml-devel oaf oaf-devel openssl-devel orbit orbit-devel perl pkgconfig popt-devel rpm

Name:         gnome-vfs
%define prefix	/opt/gnome
%define sysconfdir /etc/%{prefix} 
License:      GPL, LGPL
Group:        System/Libraries
Obsoletes:    gnvfs
Provides:     gnvfs
Autoreqprov:  on
Version:      1.0.5
Release:      823
Summary:      The GNOME Virtual File System
URL:          http://www.gnome.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gnome-vfs/gnome-vfs-%{version}.tar.bz2
Source1:      gnome-vfs-ko.po
Patch:        extfs-lib.dif
Patch1:       extfs.patch
Patch2:       CAN-2005-0706.diff

%description
This is the GNOME Virtual File System.



Authors:
--------
    Ettore Perazzoli <ettore@helixcode.com>
    Elliot Lee <sopwith@redhat.com>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@eazel.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@helixcode.com>
    Dan Winship  <danw@helixcode.com>
    Ettore Perazzoli <ettore@helixcode.com>
    Ian McKellar <yakk@yakk.net.au>
    Cody Russell <bratsche@dfw.net>
    Dave Camp <campd@oit.edu>
    Elliot Lee <sopwith@redhat.com>
    Jonathan Blandford  <jrb@redhat.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Maciej Stachowiak <mjs@eazel.com>
    Gene Ragan <gzr@eazel.com>

%prep
%setup -q 
%patch -p1
%patch1
%patch2 -p1

%build
#libtoolize --force
#aclocal -I /opt/gnome/share/aclocal/gnome-macros
#automake --add-missing --copy
#autoconf
CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include " \
  ./configure --prefix=%prefix --mandir=%{_mandir} --sysconfdir=%{sysconfdir} --libdir=%prefix/%{_lib}
make -s CC="gcc -L%_libdir -I/opt/gnome/include/gtk "

%install
make -s install DESTDIR=$RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{sysconfdir}/vfs
%dir %{sysconfdir}/vfs/modules
%config %{sysconfdir}/vfs/modules/*.conf
%dir %{prefix}/%{_lib}/vfs
%dir %{prefix}/%{_lib}/vfs/modules
%dir %{prefix}/%{_lib}/vfs/extfs
%{prefix}/%{_lib}/vfs/modules/*so*
%{prefix}/%{_lib}/lib*.0
%{prefix}/%{_lib}/*.sh
%{prefix}/%{_lib}/*.so
%{prefix}/%{_lib}/vfs/extfs/*
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%package devel
Summary:      The developer parts of the GNOME VFS
Group:        Development/Libraries/GNOME
Obsoletes:    gnvfsd
Provides:     gnvfsd

%description devel
This is the GNOME Virtual File System.



Authors:
--------
    Ettore Perazzoli <ettore@helixcode.com>
    Elliot Lee <sopwith@redhat.com>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@eazel.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@helixcode.com>
    Dan Winship  <danw@helixcode.com>
    Ettore Perazzoli <ettore@helixcode.com>
    Ian McKellar <yakk@yakk.net.au>
    Cody Russell <bratsche@dfw.net>
    Dave Camp <campd@oit.edu>
    Elliot Lee <sopwith@redhat.com>
    Jonathan Blandford  <jrb@redhat.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Maciej Stachowiak <mjs@eazel.com>
    Gene Ragan <gzr@eazel.com>


%files devel
%defattr(-, root, root)
%dir %{prefix}/include/gnome-vfs-1.0
%dir %{prefix}/include/gnome-vfs-1.0/libgnomevfs
%{prefix}/include/gnome-vfs-1.0/libgnomevfs/*.h
%dir %{prefix}/%{_lib}/gnome-vfs-1.0
%dir %{prefix}/%{_lib}/gnome-vfs-1.0/include
%{prefix}/%{_lib}/gnome-vfs-1.0/include/*.h
%{prefix}/%{_lib}/*.a
%{prefix}/%{_lib}/*.la
%{prefix}/%{_lib}/vfs/modules/*.a
%{prefix}/%{_lib}/vfs/modules/*.la
%{prefix}/bin/gnome-vfs-config

%changelog -n gnome-vfs
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed buffer overflow in CDDB code (#72397, CAN-2005-0706).
* Tue Nov 16 2004 - sbrabec@suse.cz
- Replaced insecure old extfs modules by fixed modules from mc,
  fixed the rest (CAN-2004-0494, CRD: 04.08.2004) (#43152).
* Thu Jul 24 2003 - hhetter@suse.de
- fix build
* Wed Jul 09 2003 - holger@suse.de
- fix %%files, %%_lib fixes
* Fri Jun 27 2003 - ro@suse.de
- added directories to filelist
* Wed Jun 11 2003 - ro@suse.de
- add unpackaged include file to devel filelist
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Wed Sep 25 2002 - uli@suse.de
- fixed to build libgnomevfs-pthread shared on x86-64 (fixes
  galeon, may help other lib64 archs as well)
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed May 29 2002 - hhetter@suse.de
- filelist correction
* Wed May 29 2002 - hhetter@suse.de
- updated to version 1.0.5, cooperating with GNOME 2
  Platform by using gnome-mime-data
- filelist corrections
* Wed May 08 2002 - sf@suse.de
- put shellscript to opt/gnome/%%{_lib} again
* Tue May 07 2002 - sf@suse.de
- added %%{_lib} fixes
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - hhetter@suse.de
- downgrade to 1.0.3, we don't want to mix up with
  gnome-mime-data yet
* Mon Jan 21 2002 - hhetter@suse.de
- updated to version 1.0.4
  * NNTP-vfs modules
  * now sharing mime data with gnome-vfs2 through
  gnome-mime-data
  * memory leak fixed
* Wed Nov 21 2001 - ro@suse.de
- changed neededforbuild <xml-i18n-tools> to <intltool>
* Wed Oct 17 2001 - hhetter@suse.de
- updated to version 1.0.3:
  * Automake 1.5 compatibility
  * Buffer overflow fix
  * Leak fixes
  * New translations
  * Remove slow trash search
* Thu Sep 27 2001 - hhetter@suse.de
- updated to version 1.0.2
  * GNOME 2.0/1.x platform compatibility
* Mon Aug 13 2001 - hhetter@suse.de
- removed control-center / -devel from #neededforbuild
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 1.0.1.
- Several misc fixes.
* Mon Mar 26 2001 - egger@suse.de
- DOH! The .so files are not just links to the
  dynamic libraries but dynamic files, thus keep
  them in the main package.
* Wed Mar 14 2001 - egger@suse.de
- Updated to version 1.0.
* Sun Mar 04 2001 - egger@suse.de
- Updated to version 0.6.2.
* Fri Feb 16 2001 - egger@suse.de
- Updated to version 0.5.
* Tue Jan 23 2001 - violiet@suse.de
- added improvement Korean message file.
* Sun Dec 31 2000 - egger@suse.de
- Cleaned up specfile.
- Added missing files.
- Stripped down neededforbuild.
- Changed group of development package.
* Mon Dec 11 2000 - ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Fri Nov 10 2000 - egger@suse.de
- Updated to 0.4.2.
* Thu Nov 09 2000 - ro@suse.de
- spec-file rework for Obsoletes/Provides
* Tue Nov 07 2000 - kukuk@suse.de
- Add esound-devel to neededfobuild
* Thu Nov 02 2000 - ro@suse.de
- gnome-vfsdev -> gnome-vfs-devel to be consistent
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Sep 27 2000 - egger@suse.de
- Added suse_update_config.
* Mon Sep 25 2000 - egger@suse.de
- Use BuildRoot.
- Buildproofed on i386.
* Sun Sep 24 2000 - egger@suse.de
- Use the splitted oafdev.
* Mon Sep 18 2000 - egger@suse.de
- Initial SuSE package.
- Tested on i386.
